scala.BufferedIterator
trait Advanced

[source: `scala/BufferedIterator.scala`]

`` `trait` Advanced[+A]
  `extends` BufferedIterator[A]

Direct Known Subclasses:
  BufferedIterator.PutBack

Method Summary
`override def` | advanced : Advanced
`override def` | counted : CountedIterator[A]`with` Advanced[A] Returns a counted iterator from this iterator.
`protected def` | defaultPeek : A element returned when no element left to iterate over; throws `NoSuchElementException` by default
`override def` | hasNext : Boolean Does this iterator provide another element?
`def` | head : A Checks what the next available element is.
`def` | peek (n : Int) : A return the `n`th element that will be iterated by this iterator
`abstract def` | peekList (sz : Int) : Seq[A] returns the first `sz` elements that will be iterated by this iterator, or fewer if the iterator has less elements left to iterate over
`def` | readIfStartsWith (seq : Seq[Any]) : Boolean
`def` | startsWith (seq : Seq[Any]) : Boolean true if elements of `seq` will be iterated over next in this iterator
`override def` | toString : String

Methods inherited from BufferedIterator
headOpt, buffered, readIf, readWhile

Methods inherited from Iterator
next (abstract), take, drop, map, append, ++, flatMap, filter, takeWhile, dropWhile, zip, zipWithIndex, foreach, forall, exists, contains, find, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, duplicate, copyToArray, readInto, readInto, readInto, copyToBuffer, toList, mkString, mkString, addString

Methods inherited from AnyRef
getClass, hashCode, equals, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`abstract` `def` peekList(sz : Int) : Seq[A]

  returns the first `sz` elements that will be iterated by this iterator, or fewer if the iterator has less elements left to iterate over

`` `def` head : A

  Checks what the next available element is.

Returns
  the current element

Overrides
  BufferedIterator.head

`` `def` peek(n : Int) : A

  return the `n`th element that will be iterated by this iterator

`protected` `def` defaultPeek : A

  element returned when no element left to iterate over; throws `NoSuchElementException` by default

`` `def` startsWith(seq : Seq[Any]) : Boolean

  true if elements of `seq` will be iterated over next in this iterator

`` `def` readIfStartsWith(seq : Seq[Any]) : Boolean

`override` `def` counted : CountedIterator[A]`with` Advanced[A]

  Returns a counted iterator from this iterator.

`override` `def` hasNext : Boolean

  Does this iterator provide another element?

`override` `def` toString : String

`override` `def` advanced : Advanced

Overrides
  BufferedIterator.advanced